signature SUPPORT =
sig
    type support
    val empty : support
	
    val singleton : Var.var -> support
    val add : Var.var * support -> support
    val remove : Var.var * support -> support

    val agrees : Var.var * support -> bool

    val equal : support * support -> bool
    val leq : support * support -> bool


    val toList : support -> Var.var list
    val fromList : Var.var list -> support
    val toString : support -> string
    val isElement : Var.var * support -> bool
end

