signature TYPECHECK =
sig
    structure Absyn : ABSTRACT_SYNTAX

    structure Ctx : CONTEXT
	where Absyn = Absyn

    type support = Absyn.Support.support
    type tp = Absyn.tp
    type lterm = Absyn.lterm
    type ldecl = Absyn.ldecl
    type ctx = Ctx.ctx

    val checkTerm : ctx * lterm * tp * support -> bool
    val inferTerm : ctx * lterm * support -> tp
    val typechecks : ldecl list -> bool
end

