structure Error :> ERROR =
struct

    exception Error of string
    
    type location = Location.location

    fun error (s, loc, info) = 
	let val msg = "lines: " ^ (Location.toString loc) ^ " Type error: " ^ s
	    val msg' = 
		case info of
		    SOME sinfo => msg ^ "\n" ^ sinfo
		  | NONE => msg
	in
	    raise Error (msg'^"\n")
	end
end

